Bug 510651 - Review Request: trafshow - A tool for real-time network traffic visualization
Review Request: trafshow - A tool for real-time network traffic visualization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 00:07 EDT by Pavel Alexeev
Modified: 2010-11-22 11:58 EST (History)
4 users (show)

See Also:
Fixed In Version: trafshow-5.2.3-6.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-18 19:01:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
replacement content for the changelog (1.98 KB, text/plain)
2010-07-17 09:15 EDT, manuel wolfshant
no flags Details

  None (edit)
Description Pavel Alexeev 2009-07-10 00:07:45 EDT
Spec URL: http://hubbitus.net.ru/rpm/Fedora11/trafshow/trafshow.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora11/trafshow/trafshow-5.2.3-2.fc11.src.rpm
Description:
TrafShow continuously display the information regarding packet traffic on the configured network interface that match the boolean expression.
    
It periodically sorts and updates this information.

This funny program may be useful for locating suspicious network traffic on the net or to evaluate current utilization of the network interface.

Koji build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1464034
Comment 1 Mads Kiilerich 2009-07-17 20:51:00 EDT
Nice tool! It is less colorful than iptraf but simpler to use for getting a quick overview of what is going on.

I have reviewed the package and found a couple of minor points:

It seems like the spec comes from altlinux? It would be nice to state the explicit and give them credit. Perhaps we don't want to keep their old changelog.

I suggest that URL should point to the english version at http://soft.risp.ru/trafshow/index_en.shtml . It is just the man page with a link to a site (in russian) where it can be downloaded. I could however not connect to the ftp download site and verify. But it seems like they only have trafshow-4.0.tgz available for download? Where do trafshow-5.2.3.tgz come from?

What do the "upstream dead" comment mean? Do we want a package without a living upstream? Or is you de facto the upstream and willing to take that responsibility?

The "cflags" and "make install" "comments" should perhaps just be removed. The other comment(s) could also be cleaned up.

The %doc INSTALL isn't relevant in the package and shouldn't be included.

There seems to be a spurious tab in the changelog. The spec is also partially aligned using tabs. Either do it consistently or don't do it.

--
[Looking for sponsor and review on bug 509936]
Comment 2 Fabian Affolter 2009-07-18 11:21:19 EDT
Just some other comments

- 'Source: ftp://ftp.nsk.su/pub/RinetSoftware/%name-%version.tgz' should be 'Source: ftp://ftp.nsk.su/pub/RinetSoftware/%{name}-%{version}.tgz'
- Isn't 'ncurses' automatically picked up during the build process?
- Why aren't you using parallel build for make? 
  https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make
- Often it's possible to change the installation target with PREFIX=%{_prefix}
- The man pages are automatically compressed during the build process.

(In reply to comment #1)
> It seems like the spec comes from altlinux? It would be nice to state the
> explicit and give them credit. Perhaps we don't want to keep their old
> changelog.

I agree with Mads. Just give them some credits and drop the old changelog entries.  For the Fedora spec file they have no value.

(In reply to comment #1)
> I suggest that URL should point to the english version at
> http://soft.risp.ru/trafshow/index_en.shtml . It is just the man page with a
> link to a site (in russian) where it can be downloaded. I could however not
> connect to the ftp download site and verify. But it seems like they only have
> trafshow-4.0.tgz available for download? Where do trafshow-5.2.3.tgz come from?

I not able to connect too.
Comment 3 Pavel Alexeev 2009-07-19 15:55:56 EDT
(In reply to comment #1)
> Nice tool! It is less colorful than iptraf but simpler to use for getting a
> quick overview of what is going on.
> 
> I have reviewed the package and found a couple of minor points:
Thank you.

> It seems like the spec comes from altlinux?
Yes.

> It would be nice to state the
> explicit and give them credit. Perhaps we don't want to keep their old
> changelog.
Otk, would it be. I mention previous authors and delete old changelog records.

> I suggest that URL should point to the english version at
> http://soft.risp.ru/trafshow/index_en.shtml . It is just the man page with a
> link to a site (in russian) where it can be downloaded.
I initially already thinking make link to english version of page... but, as you right mention it is only man, and absoluteley not correlated with russioan "true" project page :( In this case I thing it is not best idea provide in URL tag link to manual instead of offsite project page.

> I could however not
> connect to the ftp download site and verify. But it seems like they only have
> trafshow-4.0.tgz available for download? Where do trafshow-5.2.3.tgz come from?
It come from their ftp (see link in Source0). And yes, it is seems down now.

> What do the "upstream dead" comment mean? Do we want a package without a living
> upstream? Or is you de facto the upstream and willing to take that
> responsibility?
I suppose what it is dead because new version not released from 2000 year (according http site, according ftp few less). But, I'm ver-very many time use trafshow on my several servers, starting from ~Fedora 2. It works perfectly. As you can see by patches and comments, I minor modify it. And ask to you question - no, I is not upstream developer and don't want fork it. But, as I can do it many times before, I'm willing maintain it. And build/compatibility problems I willing resolve if can in the future. So, I think there no problem.

> The "cflags" and "make install" "comments" should perhaps just be removed. The
> other comment(s) could also be cleaned up.
Ok, its cleaned.

> The %doc INSTALL isn't relevant in the package and shouldn't be included.
Done.

> There seems to be a spurious tab in the changelog. The spec is also partially
> aligned using tabs. Either do it consistently or don't do it.
Hm... I'm always use tabs... May be there appeared in cleaned changelog (comed from alt) part? Please, see now.


(In reply to comment #2)
> Just some other comments
> 
> - 'Source: ftp://ftp.nsk.su/pub/RinetSoftware/%name-%version.tgz' should be
> 'Source: ftp://ftp.nsk.su/pub/RinetSoftware/%{name}-%{version}.tgz'
Estetic issue? :) Ok, let it be.

> - Isn't 'ncurses' automatically picked up during the build process?
> - Why aren't you using parallel build for make? 
>   https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make
Now use. Thank you.
> - Often it's possible to change the installation target with PREFIX=%{_prefix}
> - The man pages are automatically compressed during the build process.
I think not in this case. I was fast searching in generated Makefile and wasn't find such capability. I make decision do installation manually. There it is not big deal.


http://hubbitus.net.ru/rpm/Fedora11/trafshow/trafshow-5.2.3-3.fc11.src.rpm
Comment 4 Fabian Affolter 2009-12-21 17:03:02 EST
(In reply to comment #3)
> (In reply to comment #1)
> > I could however not
> > connect to the ftp download site and verify. But it seems like they only have
> > trafshow-4.0.tgz available for download? Where do trafshow-5.2.3.tgz come from?
> It come from their ftp (see link in Source0). And yes, it is seems down now.

The FTP server is still down.
Comment 5 Pavel Alexeev 2009-12-28 15:01:50 EST
Yes, it is.
What I can do in this case?
Comment 6 Fabian Affolter 2010-03-08 06:42:51 EST
There are not much options:

- Make a fork
- Take over the project and continue it
Comment 8 Fabian Affolter 2010-07-01 18:36:29 EDT
There is no need for the explicit compression of man pages. As far as I know is this done automatically by rpmbuild

I guess that fixing the makefile would be a good idea because this will ease the installation process.

An AUTHORS file would be nice too.  This way the original author gets some credits.
Comment 9 Pavel Alexeev 2010-07-04 03:37:30 EDT
(In reply to comment #8)
> There is no need for the explicit compression of man pages. As far as I know is
> this done automatically by rpmbuild
May be. Do you think it is important replace it by cp?
Meantime I made it.

> I guess that fixing the makefile would be a good idea because this will ease
> the installation process.
There 6 strings in install stage. So, as I now is upstream it is no sense where it defined in spec file or in Makefile.

> An AUTHORS file would be nice too.  This way the original author gets some
> credits.    
Agree. This fixed, thank you.

http://hubbitus.net.ru/rpm/Fedora13/trafshow/trafshow-5.2.3-5.fc11.src.rpm
Comment 10 manuel wolfshant 2010-07-15 06:47:15 EDT
It's nice that you have thought on installing an AUTHORS file, but first of all it must exist :). 


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64, EL-6/x86_64
 [x] Rpmlint output:
source RPM:
trafshow.src: I: enchant-dictionary-not-found ru
trafshow.src: W: unexpanded-macro %description -l C %description
trafshow.src: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
trafshow.src: W: spelling-error %description -l en_US ru -> roe, Ru, r
trafshow.src: W: spelling-error %description -l en_US продолжительно
trafshow.src: W: spelling-error %description -l en_US отображает
trafshow.src: W: spelling-error %description -l en_US информацию
trafshow.src: W: spelling-error %description -l en_US о
trafshow.src: W: spelling-error %description -l en_US сетевом
trafshow.src: W: spelling-error %description -l en_US трафике
trafshow.src: W: spelling-error %description -l en_US на
trafshow.src: W: spelling-error %description -l en_US выбранном
trafshow.src: W: spelling-error %description -l en_US интерфейсе
trafshow.src: W: spelling-error %description -l en_US в
trafshow.src: W: spelling-error %description -l en_US соответствии
trafshow.src: W: spelling-error %description -l en_US с
trafshow.src: W: spelling-error %description -l en_US булевым
trafshow.src: W: spelling-error %description -l en_US выражением
trafshow.src: W: spelling-error %description -l en_US Программа
trafshow.src: W: spelling-error %description -l en_US периодически
trafshow.src: W: spelling-error %description -l en_US сортирует
trafshow.src: W: spelling-error %description -l en_US и
trafshow.src: W: spelling-error %description -l en_US обновляет
trafshow.src: W: spelling-error %description -l en_US эту
trafshow.src: W: spelling-error %description -l en_US может
trafshow.src: W: spelling-error %description -l en_US быть
trafshow.src: W: spelling-error %description -l en_US очень
trafshow.src: W: spelling-error %description -l en_US полезна
trafshow.src: W: spelling-error %description -l en_US для
trafshow.src: W: spelling-error %description -l en_US распознавания
trafshow.src: W: spelling-error %description -l en_US паразитного
trafshow.src: W: spelling-error %description -l en_US сетевого
trafshow.src: W: spelling-error %description -l en_US трафика
trafshow.src: W: spelling-error %description -l en_US или
trafshow.src: W: spelling-error %description -l en_US оценки
trafshow.src: W: spelling-error %description -l en_US текущей
trafshow.src: W: spelling-error %description -l en_US утилизации
trafshow.src: W: spelling-error %description -l en_US интерфейса
trafshow.src: W: unexpanded-macro %description -l ru %description
1 packages and 0 specfiles checked; 0 errors, 38 warnings.
=> All are ignorable.
binary RPM:
trafshow.x86_64: I: enchant-dictionary-not-found ru
trafshow.x86_64: W: unexpanded-macro %description -l C %description
trafshow.x86_64: W: spelling-error %description -l en_US boolean -> Boolean, boo lean, boo-lean
trafshow.x86_64: W: spelling-error %description -l en_US ru -> roe, Ru, r
trafshow.x86_64: W: spelling-error %description -l en_US продолжительно
trafshow.x86_64: W: spelling-error %description -l en_US отображает
trafshow.x86_64: W: spelling-error %description -l en_US информацию
trafshow.x86_64: W: spelling-error %description -l en_US о
trafshow.x86_64: W: spelling-error %description -l en_US сетевом
trafshow.x86_64: W: spelling-error %description -l en_US трафике
trafshow.x86_64: W: spelling-error %description -l en_US на
trafshow.x86_64: W: spelling-error %description -l en_US выбранном
trafshow.x86_64: W: spelling-error %description -l en_US интерфейсе
trafshow.x86_64: W: spelling-error %description -l en_US в
trafshow.x86_64: W: spelling-error %description -l en_US соответствии
trafshow.x86_64: W: spelling-error %description -l en_US с
trafshow.x86_64: W: spelling-error %description -l en_US булевым
trafshow.x86_64: W: spelling-error %description -l en_US выражением
trafshow.x86_64: W: spelling-error %description -l en_US Программа
trafshow.x86_64: W: spelling-error %description -l en_US периодически
trafshow.x86_64: W: spelling-error %description -l en_US сортирует
trafshow.x86_64: W: spelling-error %description -l en_US и
trafshow.x86_64: W: spelling-error %description -l en_US обновляет
trafshow.x86_64: W: spelling-error %description -l en_US эту
trafshow.x86_64: W: spelling-error %description -l en_US может
trafshow.x86_64: W: spelling-error %description -l en_US быть
trafshow.x86_64: W: spelling-error %description -l en_US очень
trafshow.x86_64: W: spelling-error %description -l en_US полезна
trafshow.x86_64: W: spelling-error %description -l en_US для
  trafshow.x86_64: W: spelling-error %description -l en_US распознавания
trafshow.x86_64: W: spelling-error %description -l en_US паразитного
trafshow.x86_64: W: spelling-error %description -l en_US сетевого
trafshow.x86_64: W: spelling-error %description -l en_US трафика
trafshow.x86_64: W: spelling-error %description -l en_US или
trafshow.x86_64: W: spelling-error %description -l en_US оценки
trafshow.x86_64: W: spelling-error %description -l en_US текущей
trafshow.x86_64: W: spelling-error %description -l en_US утилизации
trafshow.x86_64: W: spelling-error %description -l en_US интерфейса
trafshow.x86_64: W: unexpanded-macro %description -l ru %description
1 packages and 0 specfiles checked; 0 errors, 38 warnings.
=> as above, all ignorable
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:BSD
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 1c68f603f12357e932c83de850366c9b46e53d89  trafshow-5.2.3.tgz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64, EL-6beta2/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: devel/x86_64, EL-6beta2/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
1. The AUTHORS file referenced in %files does not exist

=== Final Notes ===
1. You should either a) add the AUTHORS file to the source tarball and create something like trafshow-5.2.3.1.tgz or b) add the AUTHORS file as SOURCE1 or c) remove AUTHORS from %files.
  I suggest to use the option b) from above.


I'll approve your package once you fix the above issue.
Comment 11 Pavel Alexeev 2010-07-16 17:28:06 EDT
Manuel very thank you for the review.
File AUTHORS deleted.

http://hubbitus.net.ru/rpm/Fedora11/trafshow/trafshow-5.2.3-6.fc11.src.rpm
Comment 12 manuel wolfshant 2010-07-17 09:15:11 EDT
I think that you have not understood correctly Fabian's idea regarding the AUTHORS file from comment #8. He suggested the you create a simple text file named AUTHORS which would have included the names of the authors AND including this file in the rpm. Simply adding a not-existing file name in the %files section is, as you have noticed, incorrect.
I am attaching a slightly edited changelog, it fixes a couple of typos from yours and also respects 80 columns limit


APPROVED
Comment 13 manuel wolfshant 2010-07-17 09:15:52 EDT
Created attachment 432586 [details]
replacement content for the changelog
Comment 14 Pavel Alexeev 2010-07-19 04:30:37 EDT
What worth adding external AUTHORS file, when authors did not done it?
Futhermore, we put url (in the comments) on saved page where they are mentioned
for history.

Thanks for spell check :)
Comment 15 Fabian Affolter 2010-11-02 07:27:48 EDT
Manuel approved this package.  You can go on and import it ;-)
Comment 16 Pavel Alexeev 2010-11-04 17:15:28 EDT
Oh, sorry, I missed it.

Thank you.

New Package SCM Request
=======================
Package Name: trafshow
Short Description: A tool for real-time network traffic visualization
Owners: hubbitus
Branches: F-12 F-13 F-14 EL-5 EL-6
InitialCC:
Comment 17 Jason Tibbitts 2010-11-05 13:07:39 EDT
With the release of F14, F12 branches are no longer being created.

Git done (by process-git-requests).
Comment 18 Fedora Update System 2010-11-06 10:00:01 EDT
trafshow-5.2.3-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/trafshow-5.2.3-6.fc13
Comment 19 Fedora Update System 2010-11-06 10:01:36 EDT
trafshow-5.2.3-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/trafshow-5.2.3-6.fc14
Comment 20 Fedora Update System 2010-11-06 10:03:24 EDT
trafshow-5.2.3-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/trafshow-5.2.3-6.el5
Comment 21 Fedora Update System 2010-11-06 14:37:51 EDT
trafshow-5.2.3-6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update trafshow'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/trafshow-5.2.3-6.el5
Comment 22 Fedora Update System 2010-11-18 19:01:21 EST
trafshow-5.2.3-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2010-11-18 19:06:47 EST
trafshow-5.2.3-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-11-22 11:58:52 EST
trafshow-5.2.3-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.